Class | Bio::Blast::Default::Report::HSP
In: | lib/bio/appl/blast/format0.rb
Parent: | Object

Bio::Blast::Default::Report::HSP holds information about the hsp (high-scoring segment pair).

### Methods

new

### Attributes

align_len | [R] | aligned length
bit_score | [R] | bit score
evalue | [R] | e-value
gaps | [R] | Gaps (number of gaps)
hit_frame | [R] | frame of the hit
hit_from | [R] | start position of the hit (the first position is 1)
hit_strand | [R] | strand of the hit ("Plus" or "Minus" or nil)
hit_to | [R] | end position of the hit (including its position)
hseq | [R] | hit sequence (with gaps) of the alignment of the hsp
identity | [R] | Identity (number of identical nucleotides or amino acids)
midline | [R] | middle line of the alignment of the hsp
percent_gaps | [R] | percent of gaps
percent_identity | [R] | percent of identical nucleotides or amino acids
percent_positive | [R] | percent of positive hit amino acids or nucleotides
positive | [R] | Positives (number of positive hit amino acids or nucleotides)
qseq | [R] | query sequence (with gaps) of the alignment of the hsp
query_frame | [R] | frame of the query
query_from | [R] | start position of the query (the first position is 1)
query_strand | [R] | strand of the query ("Plus" or "Minus" or nil)
query_to | [R] | end position of the query (including its position)
score | [R] | score
stat_method | [R] | statistical method for calculating evalue and/or score (nil or a string) (note that composition-based statistics for blastp or tblastn were enabled by default after NCBI BLAST 2.2.17)

### Public Class methods

new(data)

Creates new HSP object. It is designed to be called only internally from the Bio::Blast::Default::Report::Hit class. Users should not call the method directly.

[Source]

         # File lib/bio/appl/blast/format0.rb, line 949
    949:           def initialize(data)
    950:             @f0score = data.shift
    951:             @f0alignment = []
    952:             while r = data[0] and /^(Query|Sbjct)\:/ =~ r
    953:               @f0alignment << data.shift
    954:             end
    955:           end

[Validate]